ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: Overriding previous definition of reference to ...
Date Fri, 24 Jul 2009 14:10:54 GMT
On 2009-07-23, Nestor Dutko <nestor.dutko@oracle.com> wrote:

> This is the explicit extract of the <path> declarations - as you can see

>     <path id="ocm.jsse.classpath">
>         <fileset dir="${ocm.dependencies.root}/ocm_common">
>             <include name="jsse.jar"/>
>         </fileset>
>     </path>

>     <path id="ocm.jsse-support.classpath">
>         <fileset dir="${ocm.dependencies.root}/ocm_common">
>             <include name="jcert.jar"/>
>             <include name="jnet.jar"/>
>         </fileset>
>     </path>

>     <path id="ocm.jce-support.classpath">
>         <fileset dir="${ocm.dependencies.root}/ocm_collector">
>             <include name="osdt_core3.jar"/>
>             <include name="osdt_jce.jar"/>
>         </fileset>
>     </path>

These definitions are not causing the warning, the (or rather a) place
where you use refid="ocm.jsse.classpath" is.

> And all of the files include the common.xml as the first element
> within it using the ENTITY reference ('&common;')

> Its important to note that the <path> definitions reside OUTSIDE of
> a target. Is this the problem?

It shouldn't be, no.  You may have hit a bug although I'm unbale to
reproduce it myself.

> On 2009-07-22, Nestor Dutko <nestor.dutko@gmail.com> wrote:

>> Trying to determine the cost of picking up ant 1.7.0, I tried this and found
>> now that I get the warning -

I'll note that Ant 1.7.1 is the current version and I don't have Ant
1.7.0 installed right now.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message